/* =============================
   survey.css   
   ============================= */

/* 네이게이션 */
.reporter-nav { 
    margin-top: -1.6rem;
}
.reporter-nav__inner {
    position: relative;
    display: flex;
    align-items: flex-start;
    padding-bottom: 1.6rem;
    border-bottom: 1px solid var(--stroke-separator);
    background: #fff;
}

.reporter-nav__inner:has(.reporter-nav__item:first-child a.is-active) .fade-overlay--left {
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.2s ease;
}

.reporter-nav__list {
    display: flex;
    overflow-x: auto;
    white-space: nowrap;        
    -webkit-overflow-scrolling: touch;
    -ms-overflow-style: none;   
    scrollbar-width: none;
   
}
.reporter-nav__list::-webkit-scrollbar {
    display: none;    
}

.reporter-nav__item {
    font-size: 1.6rem;
}

.reporter-nav__item a {
    display: block;
    height: 36px;
    padding: 0 20px;
    line-height: 36px;
    border-radius: 18px;
}

.reporter-nav__item a.is-active {
    font-weight: 500;
    color: var(--text-inverted);
    background-color: var(--background-black);
}

/* 그라데이션 영역 */
.fade-overlay--left { 
    left: 0;    
}

.fade-overlay--right { 
    right: 118px;    
}

/* 더보기 버튼 */
.reporter-nav__controls {
    display: flex;
    align-items: center;
    background: #fff;
    margin-top: 6px;  
    margin-left: 1.8rem;    
    padding-left: 1.8rem;;
    z-index: 2;
}

.reporter-nav__controls.divider-left::before { 
    left: 0;
}

.reporter-nav__controls .pagination__btn {
    flex-shrink: 0;
    width: 24px;
    height: 24px;
}

.btn-all-view {    
    display: flex;
    gap: 6px;
    align-items: center;        
    padding: 0;
    background: none;
    border: none;
    cursor: pointer;    
}

.controls-text { 
    display: block;
    white-space: nowrap;
    font-size: 15px;
    font-weight: 600;
    line-height: 16px;
}

.reporter-nav.is-expanded .reporter-nav__inner {    
    align-items: flex-start;
}

.reporter-nav.is-expanded .reporter-nav__list {
    flex-wrap: wrap;
    gap: 12px 0;
    white-space: normal;
    overflow: visible;
}

.reporter-nav.is-expanded .fade-overlay {
    display: none;
}

.reporter-nav.is-expanded .pagination__btn--down {
    transform: rotate(180deg);
}

/* 기자 목록 */
.reporter-list { 
    margin-top: 3.6rem;
}
.reporter-list .section-title { 
    display: flex;
    justify-content: space-between;
}

.profile-list { 
    display: grid;
    grid-template-columns: repeat(3, minmax(0, 1fr));    
    gap: 3.2rem 2.8rem;
}

/* 기자 상세 */
.page__layout--reporter:has(aside) {                 
    display: grid;   
    grid-template-columns: 300px minmax(0, 1fr);
    column-gap: 3.6rem;
}

.aside-left { 
    display: block;
}
.profile-detail { 
    position: sticky;
    top: 118px;    
    border: 1px solid var(--stroke-separator);
    border-radius: 12px;    
}
.profile-detail__wrapper { 
    margin: 0 2.4rem;
    padding: 2rem 0 1rem;
}

.profile-detail .profile-card__name { 
    flex-direction: column;
}

.profile-card__bubble { 
    margin-top: 14px;
    font-size: 14px;
    line-height: 1.36;
    color: var(--text-secondary);
}
.subscribe-count { 
    display: flex;
    margin-top: 1.4rem;
    padding: 1.4rem 0;
    border-style: solid;
    border-color: var(--stroke-separator);
    border-width: 1px 0;
}
.subscribe-count__item { 
    flex: 1;    
    text-align: center;    
}
.subscribe-count__item.divider-left::before { 
    left: 0;
}
.subscribe-count__tit {     
    font-size: 1.3rem;
    color: var(--text-description);
}
.subscribe-count__num { 
    font-size: 1.6rem;
    font-weight: 500;
}

.subscribe-body { 
    display: flex;
    gap: .8rem;
    margin-top: 2rem;
}
.subscribe-button {
    flex-grow: 1; 
    display: block;
    height: 42px;    
    text-align: center;
    font-size: 1.5rem;
    font-weight: 500;
    line-height: 44px;
    color: var(--text-inverted);
    border-radius: 8px;
    background-color: var(--background-naver) ;
}
.subscribe-body .section-tools__icon { 
    width: 42px;
    height: 42px;
    border-radius: 8px;    
}
.reporter-list-btn { 
    display: block;    
    padding: 15px;
    text-align: center;    
}
.reporter-list-txt  { 
    display: inline-block;
    font-weight: 500;
    padding-right: 16px;
    color: var(--text-secondary);
}
.reporter-list-txt.ico-arrow-sm-r::after { 
    top: 4px;
}

/* 마우스 오버 시 레이어 분리로 인한 1px 튐 방지 */
.subscribe-button, 
.section-tools__icon, 
.reporter-list-btn {
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
    backface-visibility: hidden;
}

@media (max-width: 1024px) { 
    .profile-list {
        grid-template-columns: repeat(2, minmax(0, 1fr));
        gap: 2.8rem 2.4rem;
    }
    .page__layout--reporter:has(aside) { 
        grid-template-columns: repeat(1, minmax(0, 1fr));
        row-gap: 3.6rem;
    }
    .profile-card__thumb { 
        width: 70px;
        height: 70px;
    }
    .profile-card__bubble { 
        font-size: 1.5rem;
    }
    .subscribe-count__tit { 
        font-size: 1.4rem;
    }
    .subscribe-count__num { 
        font-size: 1.8rem;
    }
    .subscribe-button { 
        height: 50px;        
        line-height: 50px;        
    }
    .subscribe-body .section-tools__icon { 
        width: 50px;
        height: 50px;    
        background-size: 20px;    
    }
    .reporter-list-txt { 
        font-size: 1.5rem;
    }
}
@media (max-width: 768px) { 
    .reporter-nav { 
        margin-top: -10px;
    }
    .reporter-nav__inner { 
        align-items: center;
        padding-bottom: 10px;
    }
    .reporter-nav__controls { 
        margin-top: 0;
        margin-left: 10px;
        margin-right: -10px;
        padding-left: 0;
    }
    .btn-all-view {
        padding: 10px;
    }
    .controls-text { 
        display: none;
    }
    .profile-list {
        grid-template-columns: repeat(1, minmax(0, 1fr));
        row-gap: 16px;
    }
    .fade-overlay { 
        width: 20px;
    }
    .fade-overlay--right { 
        right: 42px;
    }
    .reporter-nav.is-expanded .reporter-nav__list { 
        gap: 5px 0;
    }
    .reporter-nav__controls.divider-left::before { 
        top: 12px;
        bottom: 12px;
    }
    .reporter-nav__item { 
        font-size: 1.5rem;
    }
    .reporter-nav__item a { 
        padding: 0 15px;
    }
    .reporter-list { 
        margin-top: 2rem;
    }
    .reporter-list .section-title { 
        align-items: flex-end;
    }
    .profile-detail__wrapper { 
        margin: 0 2rem;
        padding-bottom: .5rem;
    }    
    .news-list .section-title { 
        padding-top: 1.4rem;
        border-top: 2px solid var(--stroke-primary);
    }    
}
